> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cisisk.projects.bernardopinto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Cisco Services

> CRUD for Cisco service definitions

Manage service definitions (e.g., directory URLs, XML services).

## List All

```
GET /api/v1/cisco-services
Authorization: Bearer <token>
```

## Get by UUID

```
GET /api/v1/cisco-services/:uuid
Authorization: Bearer <token>
```

## Create

```
POST /api/v1/cisco-services
Authorization: Bearer <token>
```

| Field | Type   | Required |
| ----- | ------ | -------- |
| name  | string | no       |
| url   | string | no       |
| type  | string | no       |

```json theme={null}
{
  "name": "Company Directory",
  "url": "https://...",
  "type": "directory"
}
```

## Update

```
PUT /api/v1/cisco-services/:uuid
Authorization: Bearer <token>
```

## Delete

```
DELETE /api/v1/cisco-services/:uuid
Authorization: Bearer <token>
```
